org.eclipse.jface.dialogs

## Interface IDialogLabelKeys

    public interface IDialogLabelKeys

IDialogLabelKeys contains publicly accessible keys to the common dialog labels used throughout JFace. `IDialogConstants` provides access to these labels using static constants. This is the preferred method when the client is optimizing for performance and is known to be used in a single-locale system. Using the keys and accessing the common dialog labels dynamically is the preferred method when the client may be running in a multi-locale system.

Since:
  3.7
See Also:
  `IDialogConstants`
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

Fields
`static String` `ABORT_LABEL_KEY` The key used to retrieve the label for abort buttons.
`static String` `BACK_LABEL_KEY` The key used to retrieve the label for back buttons.
`static String` `CANCEL_LABEL_KEY` The key used to retrieve the label for cancel buttons.
`static String` `CLOSE_LABEL_KEY` The key used to retrieve the label for close buttons.
`static String` `FINISH_LABEL_KEY` The key used to retrieve the label for finish buttons.
`static String` `HELP_LABEL_KEY` The key used to retrieve the label for help buttons.
`static String` `HIDE_DETAILS_LABEL_KEY` The key used to retrieve the label for hide details buttons.
`static String` `IGNORE_LABEL_KEY` The key used to retrieve the label for ignore buttons.
`static String` `NEXT_LABEL_KEY` The key used to retrieve the label for next buttons.
`static String` `NO_LABEL_KEY` The key used to retrieve the label for no buttons.
`static String` `NO_TO_ALL_LABEL_KEY` The key used to retrieve the label for no to all buttons.
`static String` `OK_LABEL_KEY` The key used to retrieve the label for OK buttons.
`static String` `OPEN_LABEL_KEY` The key used to retrieve the label for open buttons.
`static String` `PROCEED_LABEL_KEY` The key used to retrieve the label for proceed buttons.
`static String` `RETRY_LABEL_KEY` The key used to retrieve the label for retry buttons.
`static String` `SHOW_DETAILS_LABEL_KEY` The key used to retrieve the label for show details buttons.
`static String` `SKIP_LABEL_KEY` The key used to retrieve the label for skip buttons.
`static String` `STOP_LABEL_KEY` The key used to retrieve the label for stop buttons.
`static String` `YES_LABEL_KEY` The key used to retrieve the label for yes buttons.
`static String` `YES_TO_ALL_LABEL_KEY` The key used to retrieve the label for yes to all buttons.

### Field Detail

#### OK_LABEL_KEY

    static final String OK_LABEL_KEY

The key used to retrieve the label for OK buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.OK_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### CANCEL_LABEL_KEY

    static final String CANCEL_LABEL_KEY

The key used to retrieve the label for cancel buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.CANCEL_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### YES_LABEL_KEY

    static final String YES_LABEL_KEY

The key used to retrieve the label for yes buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.YES_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### NO_LABEL_KEY

    static final String NO_LABEL_KEY

The key used to retrieve the label for no buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.NO_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### NO_TO_ALL_LABEL_KEY

    static final String NO_TO_ALL_LABEL_KEY

The key used to retrieve the label for no to all buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.NO_TO_ALL_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### YES_TO_ALL_LABEL_KEY

    static final String YES_TO_ALL_LABEL_KEY

The key used to retrieve the label for yes to all buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.YES_TO_ALL_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### SKIP_LABEL_KEY

    static final String SKIP_LABEL_KEY

The key used to retrieve the label for skip buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.SKIP_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### STOP_LABEL_KEY

    static final String STOP_LABEL_KEY

The key used to retrieve the label for stop buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.STOP_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### ABORT_LABEL_KEY

    static final String ABORT_LABEL_KEY

The key used to retrieve the label for abort buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.ABORT_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### RETRY_LABEL_KEY

    static final String RETRY_LABEL_KEY

The key used to retrieve the label for retry buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.RETRY_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### IGNORE_LABEL_KEY

    static final String IGNORE_LABEL_KEY

The key used to retrieve the label for ignore buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.IGNORE_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### PROCEED_LABEL_KEY

    static final String PROCEED_LABEL_KEY

The key used to retrieve the label for proceed buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.PROCEED_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### OPEN_LABEL_KEY

    static final String OPEN_LABEL_KEY

The key used to retrieve the label for open buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.OPEN_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### CLOSE_LABEL_KEY

    static final String CLOSE_LABEL_KEY

The key used to retrieve the label for close buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.CLOSE_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### SHOW_DETAILS_LABEL_KEY

    static final String SHOW_DETAILS_LABEL_KEY

The key used to retrieve the label for show details buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.SHOW_DETAILS_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### HIDE_DETAILS_LABEL_KEY

    static final String HIDE_DETAILS_LABEL_KEY

The key used to retrieve the label for hide details buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.HIDE_DETAILS_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### BACK_LABEL_KEY

    static final String BACK_LABEL_KEY

The key used to retrieve the label for back buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.BACK_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### NEXT_LABEL_KEY

    static final String NEXT_LABEL_KEY

The key used to retrieve the label for next buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.NEXT_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### FINISH_LABEL_KEY

    static final String FINISH_LABEL_KEY

The key used to retrieve the label for finish buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.FINISH_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values

#### HELP_LABEL_KEY

    static final String HELP_LABEL_KEY

The key used to retrieve the label for help buttons. Clients should use the pattern `JFaceResources.getString(IDialogLabelKeys.HELP_LABEL_KEY)` to retrieve the label dynamically when using multiple locales.

Since:
  3.7
See Also:
  Constant Field Values